import { jsx as _jsx } from "react/jsx-runtime";
import { generateStorySampleDataForHeatmap } from '../dev-utils';
import { DayOverviewHeatMap } from '.';
import './index.css';
const Meta = {
    title: 'DayOverviewHeatMap',
    component: DayOverviewHeatMap,
    args: {
        data: generateStorySampleDataForHeatmap(1, 3)[0],
        onTooltip: (d) => d,
        color: 'spectral',
        className: 'light',
    },
};
export default Meta;
const Template = (args) => (_jsx(DayOverviewHeatMap, { ...args, style: { height: '90vh', width: '100%', border: '1px solid black' } }));
export const Light = Template.bind({});
export const Dark = Template.bind({});
Dark.args = { className: 'dark' };
export const WithoutXAxisLabels = Template.bind({});
WithoutXAxisLabels.args = { showXAxisLabels: false };
export const HSL = Template.bind({});
HSL.args = { color: 'hsl' };
export const HSLModified = Template.bind({});
HSLModified.args = { color: 'hslModified' };
export const Default = Template.bind({});
Default.args = { color: undefined };
export const Bin6 = Template.bind({});
Bin6.args = { data: generateStorySampleDataForHeatmap(1, 6)[0] };
export const Bin30 = Template.bind({});
Bin30.args = { data: generateStorySampleDataForHeatmap(1, 30)[0] };
export const Bin60 = Template.bind({});
Bin60.args = { data: generateStorySampleDataForHeatmap(1, 60)[0] };
//# sourceMappingURL=index.stories.js.map