import { jsx as _jsx } from "react/jsx-runtime";
import { startOfMonth, endOfMonth } from 'date-fns';
import { generateStorySampleDataForHeatmap } from '../dev-utils';
import { MonthOverviewHeatMap } from '.';
import './index.css';
function filterMonthData(data) {
    let monthData = data;
    if (data.length > 0) {
        const selectedDate = new Date(data[0].date);
        const minDate = startOfMonth(selectedDate);
        const maxDate = endOfMonth(selectedDate);
        monthData = data.filter((d) => minDate <= new Date(d.date) && new Date(d.date) < maxDate);
    }
    return monthData;
}
const Meta = {
    title: 'MonthOverviewHeatMap',
    component: MonthOverviewHeatMap,
    args: {
        data: filterMonthData(generateStorySampleDataForHeatmap(1, 1)),
        onTooltip: (d) => d,
        color: 'spectral',
        className: 'light',
    },
};
export default Meta;
const Template = (args) => (_jsx(MonthOverviewHeatMap, { ...args, style: { height: '90vh', width: '100%', border: '1px solid black' } }));
export const Light = Template.bind({});
export const Dark = Template.bind({});
Dark.args = { className: 'dark' };
export const HSL = Template.bind({});
HSL.args = { color: 'hsl' };
export const HSLModified = Template.bind({});
HSLModified.args = { color: 'hslModified' };
export const Default = Template.bind({});
Default.args = { color: undefined };
//# sourceMappingURL=index.stories.js.map