import { jsx as _jsx } from "react/jsx-runtime";
import { startOfYear, endOfYear } from 'date-fns';
import { generateStorySampleDataForHeatmap } from '../dev-utils';
import { YearOverviewHeatMap } from '.';
import './index.css';
function filterYearData(data) {
    let yearData = data;
    if (data.length > 0) {
        const selectedDate = new Date(data[0].date);
        const minDate = startOfYear(selectedDate);
        const maxDate = endOfYear(selectedDate);
        yearData = data.filter((d) => minDate <= new Date(d.date) && new Date(d.date) < maxDate);
    }
    return yearData;
}
const Meta = {
    title: 'YearOverviewHeatMap',
    component: YearOverviewHeatMap,
    args: {
        data: filterYearData(generateStorySampleDataForHeatmap(1, 1)),
        onTooltip: (d) => d,
        color: 'spectral',
        className: 'light',
    },
};
export default Meta;
const Template = (args) => (_jsx(YearOverviewHeatMap, { ...args, style: { height: '90vh', width: '100%', border: '1px solid black' } }));
export const Light = Template.bind({});
export const Rotate = Template.bind({});
Rotate.args = { response: 'rotate', showWeekLabels: true };
export const Dark = Template.bind({});
Dark.args = { className: 'dark' };
export const HSL = Template.bind({});
HSL.args = { color: 'hsl' };
export const HSLModified = Template.bind({});
HSLModified.args = { color: 'hslModified' };
export const Default = Template.bind({});
Default.args = { color: undefined };
//# sourceMappingURL=index.stories.js.map