import { faker } from '@faker-js/faker';
import { timeDays, timeMinutes } from 'd3';
import { endOfDay, startOfDay, startOfYear, subYears, endOfYear, } from 'date-fns';
faker.mersenne.seed(1);
export function generateStorySampleDataForHeatmap(yearsAgo, binsPerHour) {
    const lastDate = endOfYear(new Date());
    let firstDate = subYears(new Date(), yearsAgo);
    firstDate = startOfYear(firstDate);
    const binStep = 60 / binsPerHour;
    const data = timeDays(firstDate, lastDate).map((dateElement) => {
        const start = startOfDay(dateElement);
        const end = endOfDay(dateElement);
        const details = timeMinutes(start, end, binStep).map((e) => ({
            date: e.toISOString(),
            value: faker.datatype.number({ min: 0, max: 100 }),
        }));
        const total = details.reduce((acc, e) => acc + e.value, 0);
        return {
            date: start.toISOString(),
            details,
            total,
        };
    });
    return data;
}
//# sourceMappingURL=dev-utils.js.map