import type { CalendarHeatmapDatum, BaseOverviewHeatmapProps, Margin, Response } from '../utils';
import type { D3FCAxis } from '@d3fc/d3fc-axis';
import type { ScaleBand, ScaleThreshold, ScaleTime, NumberValue } from 'd3';
export interface YearOverviewDatum {
    day: number;
    week: number;
    month: string;
    total: number;
    date: Date;
}
interface YearOverviewData {
    dataArray: YearOverviewDatum[];
    totalExtent: [number, number];
}
declare type ScaleType = 'threshold' | 'time';
export interface YearOverviewHeatmapProps extends BaseOverviewHeatmapProps<YearOverviewDatum> {
    data: CalendarHeatmapDatum[];
    showWeekLabels?: boolean;
    scaleType?: ScaleType;
    onMonthLabelClick?: (d: string) => void;
}
export declare function getYearData(data: CalendarHeatmapDatum[]): YearOverviewData;
export declare function getMonthBoundaryPath(date: Date, xScale: ScaleBand<string>, yScale: ScaleBand<string>): string;
export declare function getWeekPosition(firstDateOfMonth: Date): number;
export declare function fadeMonthBoundaries(): void;
export declare function brightenMonthBoundaries(): void;
export declare function getMonthScaleAndAxis({ weekPositions, element, margin, response, year, scaleType, monthLabels, }: {
    weekPositions: number[];
    element: HTMLDivElement;
    margin: Margin;
    year: number;
    monthLabels: string[];
    response?: Response;
    scaleType?: ScaleType;
}): [ScaleThreshold<number, number>, D3FCAxis<number>] | [ScaleTime<number, number>, D3FCAxis<Date | NumberValue>];
export {};
//# sourceMappingURL=utils.d.ts.map