import type { D3FCAxis } from '@d3fc/d3fc-axis';
import type { ScaleBand, ScaleLinear, ScaleSequential, AxisDomain } from 'd3';
import type { HTMLProps } from 'react';
export interface Margin {
    top: number;
    bottom: number;
    left: number;
    right: number;
}
interface CalendarHeatmapDetail {
    date: string;
    value: number;
}
export interface CalendarHeatmapDatum {
    date: string;
    total: number;
    details?: CalendarHeatmapDetail[];
}
export declare type Response = 'rotate' | 'offset' | 'hide';
export interface BaseOverviewHeatmapProps<T> extends Omit<HTMLProps<HTMLDivElement>, 'data'> {
    color?: string;
    fade?: boolean;
    response?: Response;
    onCellClick?: (d: T) => void;
    onTooltip?: (datum: {
        value: unknown;
    }) => void;
    onHideTooltip?: () => void;
    onFadeComplete?: () => void;
}
interface ScaleAndAxisProps {
    labels: string[];
    element: HTMLDivElement;
    margin: Margin;
    paddingInner: number;
    response?: Response;
    align?: 'top' | 'bottom' | 'left' | 'right';
}
export declare function addAxisLabelResponsivness<Domain extends AxisDomain>(axis: D3FCAxis<Domain>, response?: Response): D3FCAxis<Domain>;
export declare function getXScaleAndAxis({ labels, element, margin, paddingInner, response, align, }: ScaleAndAxisProps): [ScaleBand<string>, D3FCAxis<string>];
export declare function getYScaleAndAxis({ labels, element, margin, paddingInner, response, }: ScaleAndAxisProps): [ScaleBand<string>, D3FCAxis<string>];
export declare function createColorGenerator(minValue: number, maxValue: number, color?: string | undefined | null): ScaleSequential<string> | ScaleLinear<string, string>;
export declare function removeLastYearWeekData<T extends {
    day: number;
}>(dataArray: T[]): T[];
export declare function fadeAwayElements(selectorsList: string[]): Promise<void>;
export declare function getColor(colorGenerator: ScaleSequential<string> | ScaleLinear<string, string>, value: number): string;
export {};
//# sourceMappingURL=utils.d.ts.map